Campaigns: Stats
GET /apps/{app_id}/campaigns/{id}/statsPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
id |
string | No | id of the campaign |
Query Parameters
Section titled “Query Parameters”| Name | Type | Required | Description |
|---|---|---|---|
start_at |
string | No | Date from which statistics are displayed for campaign |
end_at |
string | No | Date to which statistics are displayed for campaign |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request GET \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/campaigns/{id}/stats \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json'Responses
Section titled “Responses”200
{ "export_url": "", "type": [ "push" ], "send": 0, "push": { "send": { "total_uniq": 0, "uniq_graph": [ { "x": "2025-04-22", "y": 0 } ] }, "delivery": { "total_uniq": 0, "total_uniq_rate": 0, "uniq_graph": [ { "x": "2025-04-22", "y": 0 } ] }, "pending_delivery": { "total_uniq": 0, "total_uniq_rate": 0 }, "bounce": { "total_uniq": 0, "total_uniq_rate": 0, "uniq_graph": [ { "x": "2025-04-22", "y": 0 } ] }, "dismiss": { "total_uniq": 0, "uniq_graph": [ { "x": "2025-04-22", "y": 0 } ] }, "push_click": { "total_uniq": 0, "uniq_graph": [ { "x": "2025-04-22", "y": 0 } ], "uniq_rate_graph": { "2025-04-22": 0 } }, "engagement": { "total_uniq": 0, "total_uniq_rate": 0, "uniq_graph": [ { "x": "2025-04-22", "y": 0 } ], "uniq_rate_graph": [ { "x": "2025-04-22", "y": 0 } ] }, "clicks": { "total_uniq": 0, "total_uniq_rate": 0, "uniq_graph": [ { "x": "2025-04-22", "y": 0 } ], "uniq_rate_graph": [ { "x": "2025-04-22", "y": 0 } ] } }}
